:root {
    --title-font-family: 'SMHeadersFont', sans-serif;
    --text-font-family: 'SMTextsFont', sans-serif;
    --alt-font-family: 'SMAltFont';
    --title-font-weight: 400;
    --text-font-weight: 400;
    --title-font-size: 76px;
    --text-font-size: 20px;
    --title-line-height: 140%;
    --text-line-height: 120%;
    --text-clr-1: #000;
    --mod-clr: #b89671;
    --placeholder-input-font-size: 20px;
    --placeholder-input-clr: rgba(55, 79, 103, 0.5);
    --section-padding: 100px 0;
    --section-bg-clr-1: #ffffff;
    --section-bg-clr-2: #bdc9dc;
    --btn-bg: #374f67;
    --btn-clr: #fef7ed;
    --btn-hover-bg: #937345;
    --btn-hover-clr: #fcfcfc;
    --btn-transition: background-color 0.2s, color 0.2s;
}

@media (max-width: 500px) {
    :root {
        --title-font-weight: 400;
        --text-font-weight: 400;
        --title-font-size: 44px;
        --text-font-size: 16px;
        --title-line-height: 140%;
        --text-line-height: 120%;
        --placeholder-input-font-size: 13px;
        --section-padding: 60px 0;
    }
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.sm-page,
body.lock {
    overflow: hidden;
}

body {
    font-family: var(--text-font-family);
    color: var(--text-clr-1);
}

a {
    text-decoration: none;
}

.sm-container {
    position: relative;
    max-width: 1180px;
    padding: 0 21px 0 22px;
    margin: 0 auto;
}

.sm-container-flex {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    gap: 260px;
}

@media (max-width: 500px) {
    .sm-container-flex {
        -ms-flex-direction: column;
        flex-direction: column;
        gap: 30px;
    }
}

.sm-mod-clr {
    color: var(--mod-clr) !important;
}

.sm-text,
.sm-title {
    color: var(--text-clr-1);
    font-family: var(--title-font-family);
    font-size: var(--title-font-size);
    line-height: var(--title-line-height);
    font-weight: var(--title-font-weight);
    text-align: center;
}

.sm-text {
    font-family: var(--text-font-family);
    font-size: var(--text-font-size);
    line-height: var(--text-line-height);
    font-weight: var(--text-font-weight);
}

.sm-title ~ .sm-text {
    max-width: 440px;
    margin: 30px auto 0;
}

.sm-img {
    position: relative;
}

.sm-arrow img,
.sm-img > img {
    object-fit: cover;
}

.sm-section {
    padding: var(--section-padding);
}

.sm-section-type-1 {
    position: relative;
}

.sm-section-type-2 {
    background-color: var(--section-bg-clr-2);
    position: relative;
}

.sm-arrow,
.sm-btn {
    cursor: pointer;
}

.sm-arrow img {
    width: 100%;
    height: 100%;
}

.sm-arrow.sm-arrow-next {
    transform: scale(-1);
}

.sm-btn {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex-align: center;
    align-items: center;
    height: 46px;
    width: -moz-fit-content;
    width: fit-content;
    margin: 0 auto;
    padding: 0 36px;
    border-radius: 1000px 0 1000px 0;
    background-color: var(--btn-bg);
    font-family: var(--alt-font-family);
    text-align: center;
    font-weight: 500;
    font-size: 18px;
    line-height: var(--text-line-height);
    text-transform: uppercase;
    color: var(--btn-clr);
    border: 0;
    transition: var(--btn-transition);
}

.sm-btn:hover {
    background-color: var(--btn-hover-bg);
    color: var(--btn-hover-clr);
}

.sm-modal,
body.lock .sm-only-mobile.open-modal {
    display: none;
}

.sm-modal.sm-open {
    top: 0;
    z-index: 999;
    overflow: auto;
    display: block !important;
}

.sm-modal-close {
    cursor: pointer;
    position: absolute;
    right: 20px;
    top: 20px;
    z-index: 10;
    font-size: 21px;
    line-height: var(--title-line-height);
    font-family: var(--title-font-family);
    display: none;
}

.sm-modal.sm-open .sm-modal-close {
    display: block;
}

.sm-btn-fixed,
.sm-modal.sm-open {
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
}

.sm-btn-fixed {
    z-index: 100;
    width: 100%;
    height: 56px;
    border-radius: initial;
}

@media (min-width: 501px) {
    .sm-only-mobile {
        display: none;
    }
}

.sm-main__title {
    font-family: var(--alt-font-family);
    font-weight: 500;
    font-size: 32px;
    line-height: 125%;
    text-align: center;
    text-transform: uppercase;
    position: relative;
    z-index: 1;
}

@media (max-width: 500px) {
    .sm-main__title {
        margin: 0 auto;
        max-width: 261px;
    }
}

.sm-main__title .sm-date {
    word-spacing: -5px;
}

.sm-main__title__text {
    font-family: var(--alt-font-family);
    font-weight: 500;
    font-size: 32px;
    line-height: 100%;
    text-align: center;
    text-transform: uppercase;
    color: var(--text-clr-1);
}

.sm-main__content {
    margin-top: 31px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    gap: 58px;
    position: relative;
}

@media (max-width: 500px) {
    .sm-main__content {
        margin-top: 68.5px;
        -ms-flex-direction: column;
        flex-direction: column;
        gap: 20px;
    }
}

.sm-main__content:before {
    content: '';
    position: absolute;
    right: -15%;
    top: -10%;
    z-index: 0;
    display: block;
    width: 244px;
    height: 200px;
    background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-main/text-decor.webp);
    background-repeat: no-repeat;
    background-size: cover;
}

@media (max-width: 500px) {
    .sm-main__content:before {
        top: -29%;
        right: -24%;
        width: 225px;
        height: 225px;
    }
}

.sm-main__image {
    min-width: 448px;
    position: relative;
}

@media (max-width: 500px) {
    .sm-main__image {
        min-width: 385px;
        transform: translateX(15px);
    }
}

.sm-main__image::after,
.sm-main__image::before {
    content: '';
    position: absolute;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
}

.sm-main__image::before {
    z-index: 0;
    background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-main/image-decor-1.webp);
    left: -240px;
    top: -100px;
    width: 559px;
    height: 654px;
}

.sm-main__image::after {
    z-index: 2;
    background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-main/image-decor-2.webp);
    right: -75px;
    bottom: 20px;
    width: 122px;
    height: 107px;
}

.sm-main__image .sm-img {
    z-index: 1;
}

.sm-main__image img {
    width: 448px;
    height: 448px;
    border-radius: 110px 0 0 0;
}

@media (max-width: 500px) {
    .sm-main__image img {
        width: 100%;
        max-width: 374px;
        height: 374px;
        border-radius: 92px 0 0 0;
    }

    .sm-main__image::after {
        left: -15px;
        bottom: -40px;
        width: 90px;
        height: 90px;
    }

    .sm-main__image::before {
        left: -160px;
        top: -82px;
        width: 414px;
        height: 485px;
    }
}

.sm-main__names {
    font-family: var(--title-font-family);
    font-weight: var(--title-font-weight);
    font-size: 120px;
    white-space: nowrap;
    line-height: 135%;
    position: relative;
}

@media (max-width: 500px) {
    .sm-main__names {
        font-size: 60px;
        text-align: center;
    }
}

.sm-main {
    padding: 48px 0 121px;
}

@media (max-width: 500px) {
    .sm-main {
        padding: 48px 0 60px;
    }
}

.sm-calendar__box {
    background: url(/sitemaker/templates/template80/img/sections-decor/sm-calendar/calendar-border.webp)
        50% 50%no-repeat;
    background-size: 100% 100%;
    padding: 50px 30px 20px;
}

.sm-date__calendar__month {
    font-family: var(--title-font-family);
    font-weight: var(--title-font-weight);
    line-height: var(--title-line-height);
    font-size: 80px;
    text-align: center;
}

.sm-calendar {
    display: -ms-grid;
    display: grid;
    grid-template-areas: 'days days days days days days days' 'days days days days days days days' 'days days days days days days days' 'days days days days days days days' 'days days days days days days days' 'days days days days days days days';
    -ms-grid-columns: auto auto auto auto auto auto auto;
    grid-template-columns: auto auto auto auto auto auto auto;
    -ms-grid-rows: auto auto auto auto auto auto auto;
    grid-template-rows: auto auto auto auto auto auto auto;
    place-items: center;
    column-gap: 20px;
    row-gap: 20px;
    margin-top: 20px;
}

.sm-calendar-day,
.sm-calendar-day-week-title {
    font-family: var(--text-font-family);
    font-weight: var(--text-font-weight);
    text-align: center;
    color: var(--text-clr-1);
    text-transform: uppercase;
}

.sm-calendar-day-week-title {
    width: 24px;
    height: 18px;
    font-size: 14px;
    line-height: var(--text-line-height);
    opacity: 0.5;
}

.sm-calendar-day {
    font-size: 18px;
    line-height: 16px;
}

.sm-number-active {
    position: relative;
    color: #bdc9dc;
    z-index: 3;
}

.sm-location:before,
.sm-number-active:before {
    content: '';
    position: absolute;
    display: block;
    background-size: cover;
}

.sm-number-active:before {
    width: 35px;
    height: 35px;
    background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-calendar/day-active.webp);
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
}

.sm-calendar__month {
    font-family: var(--title-font-family);
    font-weight: var(--title-font-weight);
    font-size: 40px;
    line-height: var(--title-line-height);
    text-align: center;
}

.sm-calendar__date {
    font-family: var(--alt-font-family);
    font-weight: 500;
    font-size: 32px;
    line-height: var(--text-line-height);
    text-align: center;
    margin-top: 20px;
}

.sm-datetime {
    padding: 100px 0;
}

.sm-datetime .sm-title {
    white-space: nowrap;
}

.sm-location {
    position: relative;
    overflow: hidden;
    padding: 0 0 85px;
}

.sm-location .sm-title {
    margin-top: 140px;
}

@media (max-width: 500px) {
    .sm-location {
        padding: 100px 0 150px;
    }

    .sm-datetime {
        padding: 65px 0;
    }

    .sm-location .sm-title {
        margin-top: 0;
    }
}

.sm-location:before {
    right: -4%;
    top: 0;
    width: 441px;
    height: 113px;
    background-repeat: no-repeat;
    transform: rotate(23deg);
}

@media (max-width: 500px) {
    .sm-location:before {
        right: -40%;
        top: 15px;
        width: 474px;
        height: 113px;
        left: 50px;
        transform: rotate(34deg);
    }

    .sm-location .sm-container-flex {
        -ms-flex-direction: column-reverse;
        flex-direction: column-reverse;
    }
}

.sm-location__image {
    min-width: 342px;
    position: relative;
}

.sm-location__image::after,
.sm-location__image::before {
    content: '';
    position: absolute;
    display: block;
    z-index: 0;
    background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-location/image-decor-1.webp);
    background-repeat: no-repeat;
    background-size: contain;
    left: -40px;
    bottom: -390px;
    width: 559px;
    height: 654px;
}

.sm-location__image::after {
    z-index: 2;
    background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-location/image-decor-2.webp);
    background-size: cover;
    left: 10px;
    bottom: -40px;
    width: 125px;
    height: 95px;
}

.sm-location .sm-section__text {
    top: 100px;
    width: 352px;
}

.sm-location__image img {
    width: 342px;
    height: 364px;
    border-radius: 0 80px 0 0;
}

.sm-location .sm-btn {
    margin-top: 20px;
}

.sm-timing {
    padding: 135px 0 100px;
}

.sm-timing__items {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between;
    position: relative;
    margin-top: 60px;
}

@media (max-width: 500px) {
    .sm-timing__items {
        -ms-flex-direction: column;
        flex-direction: column;
        gap: 44px;
    }

    .sm-timing {
        padding: 80px 0 60px;
    }
}

.sm-timing__items:before {
    content: '';
    display: block;
    width: 100%;
    height: 5px;
    background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-timing/line.webp);
    background-repeat: no-repeat;
    background-size: cover;
    position: absolute;
    top: 50%;
}

@media (max-width: 500px) {
    .sm-timing__items:before {
        width: 5px;
        height: 100%;
        top: 0;
        left: 55%;
        background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-timing/line-mobile.webp);
    }
}

.sm-timing__item {
    -ms-flex-item-align: stretch;
    -ms-grid-row-align: stretch;
    align-self: stretch;
}

.sm-timing-text {
    height: 100%;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -ms-flex-align: start;
    align-items: start;
    gap: 40px;
    -ms-flex-direction: column;
    flex-direction: column;
}

@media (max-width: 500px) {
    .sm-timing-text {
        -ms-flex-direction: row-reverse;
        flex-direction: row-reverse;
        -ms-flex-align: center;
        align-items: center;
        gap: 63px;
    }
}

.sm-timing__item__time {
    font-family: var(--alt-font-family);
    font-weight: 500;
    font-size: 48px;
    line-height: var(--text-line-height);
}

@media (max-width: 500px) {
    .sm-timing__item__time {
        min-width: 120px;
        text-align: left;
        font-size: 32px;
    }
}

.sm-timing__item__title {
    font-family: var(--text-font-family);
    font-weight: var(--text-font-weight);
    font-size: var(--text-font-size);
    line-height: var(--text-line-height);
    max-width: 199px;
}

@media (max-width: 500px) {
    .sm-timing__item__title {
        text-align: right;
        -ms-flex: 1;
        flex: 1;
    }
}

.sm-dress-code {
    padding: var(--section-padding);
}

@media (max-width: 500px) {
    .sm-dress-code {
        padding: 85px 0 120px;
    }
}

.sm-dress-code .sm-text {
    max-width: 590px;
    margin: 30px auto 0;
}

@media (max-width: 500px) {
    .sm-dress-code .sm-text {
        max-width: 100%;
    }
}

.sm-dress-code__colors {
    display: -ms-flexbox;
    display: flex;
    gap: 12px;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: -moz-fit-content;
    width: fit-content;
    margin: 40px auto 0;
    position: relative;
}

.sm_colors {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    overflow: hidden;
    position: relative;
}

.sm_colors > div {
    border-radius: 50%;
    border: 1px solid var(--text-clr-1);
    width: 100%;
    height: 100%;
}

.sm-dress-code__box-gallery {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    gap: 160px;
    width: 850px;
    margin: 35px auto 0;
}

@media (max-width: 500px) {
    .sm-dress-code__box-gallery {
        -ms-flex-direction: column;
        flex-direction: column;
        gap: 60px;
        margin-top: 60px;
        width: auto;
    }
}

.sm-dress-code__slider1,
.sm-dress-code__slider2 {
    margin: 30px auto 0;
    max-width: 342px;
}

.sm-dress-code__box-gallery__item {
    width: calc(50% - 79px);
    position: relative;
}

.sm-dress-code__box-gallery__item:after,
.sm-dress-code__box-gallery__item:before {
    content: '';
    position: absolute;
    display: block;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.sm-dress-code__box-gallery__item::before {
    z-index: 0;
}

.sm-dress-code__box-gallery__item::after {
    z-index: 2;
}

.sm-dress-code__box-gallery__item:first-child::before {
    background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-dress-code/image-decor-1.webp);
    left: -115px;
    top: -65px;
    width: 600px;
    height: 616px;
}

.sm-dress-code__box-gallery__item:first-child::after {
    background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-dress-code/image-decor-2.webp);
    background-size: cover;
    left: -90px;
    bottom: -50px;
    width: 190px;
    height: 190px;
}

@media (max-width: 500px) {
    .sm-dress-code__box-gallery__item:first-child::after {
        left: -30px;
        bottom: -30px;
        width: 140px;
        height: 140px;
    }
}

.sm-dress-code__box-gallery__item:last-child::before {
    background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-dress-code/image-decor-3.webp);
    right: -170px;
    bottom: -150px;
    width: 620px;
    height: 616px;
}

@media (max-width: 500px) {
    .sm-dress-code__box-gallery__item:last-child::before {
        right: 155px;
        bottom: -220px;
    }
}

.sm-dress-code__box-gallery__item:last-child::after {
    background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-dress-code/image-decor-4.webp);
    background-size: cover;
    right: -120px;
    bottom: 90px;
    width: 180px;
    height: 89px;
}

@media (max-width: 500px) {
    .sm-dress-code__box-gallery__item:last-child::after {
        transform: rotate(-20deg);
        bottom: 0;
        width: 160px;
        right: -30px;
    }
}

.sm-dress-code__box-gallery__title {
    font-family: var(--title-font-family);
    font-size: var(--title-font-size);
    line-height: var(--title-line-height);
    text-align: center;
}

.sm-dress-code__slider__item {
    border-radius: 10px;
    overflow: hidden;
    width: 342px;
    height: 364px;
}

@media (max-width: 500px) {
    .sm-dress-code__slider__item {
        border-radius: 40px;
    }
}

.sm-dress-code__arrow img,
.sm-dress-code__slider__item img,
.sm-time__img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.sm-dress-code__arrows {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    gap: 10px;
    margin: 20px auto 0;
}

.sm-dress-code__arrow {
    width: 43px;
    height: 20px;
    cursor: pointer;
}

@media (max-width: 500px) {
    .sm-dress-code__box-gallery__item {
        width: 100%;
    }
}

.sm-time {
    padding: var(--section-padding);
}

.sm-time__box {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    margin-top: 70px;
}

.sm-time__item {
    width: 160px;
}

.sm-time__img {
    width: 410px;
    height: 558px;
    margin: 40px auto 0;
    border-radius: 300px;
    overflow: hidden;
    position: relative;
}

.sm-time__img img {
    position: relative;
    z-index: 1;
    border-radius: 8px;
}

.sm-time__item__title {
    font-size: 20px;
    font-weight: var(--text-font-weight);
    line-height: 29.26px;
    text-align: center;
    margin-top: 10px;
}

.sm-time__item_number {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.sm-timer-time_number-span {
    font-family: var(--title-font-family);
    font-weight: var(--title-font-weight);
    font-size: 60px;
    line-height: 60px;
    text-align: center;
}

@media (max-width: 500px) {
    .sm-timer-time_number-span {
        font-size: 30px;
    }

    .sm-time__img {
        width: 285px;
        height: 388px;
        margin: 50px auto 0;
    }

    .sm-time__item {
        width: 45px;
    }

    .sm-time__box {
        gap: 30px;
        margin-top: 20px;
    }

    .sm-time__item__title {
        font-weight: 400;
        font-size: 16px;
        line-height: 19.5px;
        text-align: center;
        margin-top: 0;
    }

    .sm-time__item_number {
        font-weight: 400;
        font-size: 48px;
        line-height: 60px;
    }
}

.sm-wishes {
    padding: var(--section-padding);
    position: relative;
    overflow: hidden;
}

@media (max-width: 500px) {
    .sm-wishes {
        padding: 100px 0 60px;
    }
}

.sm-wishes:after,
.sm-wishes:before {
    content: '';
    display: block;
    width: 441px;
    height: 113px;
    position: absolute;
    top: 0;
    background-repeat: no-repeat;
    background-size: cover;
}

.sm-wishes:before {
    left: -75px;
    transform: rotate(-13deg);
}

@media (max-width: 500px) {
    .sm-wishes:before {
        left: -30px;
        top: -22px;
        transform: rotate(2deg);
    }
}

.sm-wishes:after {
    right: -67px;
    transform: rotate(19deg);
}

@media (max-width: 500px) {
    .sm-wishes:after {
        display: none;
    }
}

.sm-wishes__content-wrap {
    margin-top: 32px;
}

.sm-wishes__content-slide {
    text-align: center;
    font-weight: var(--text-font-weight);
    font-size: 24px;
    line-height: 29.26px;
    max-width: 440px;
    margin: 0 auto;
}

@media (max-width: 500px) {
    .sm-wishes__content-slide {
        font-size: 16px;
        line-height: 19px;
    }
}

.sm-wishes__content-slider {
    margin-top: 32px;
}

.sm-wishes__pagination-wrapper {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    gap: 10px;
    margin: 20px auto 0;
    width: -moz-fit-content;
    width: fit-content;
}

.sm-wishes__pagination-wrapper .sm-arrow {
    width: 43px;
    height: 20px;
}

.sm-wishes__pagination {
    font-family: var(--alt-font-family);
    font-weight: 500;
    font-size: 36px;
    line-height: 60px;
    letter-spacing: 0;
    text-align: center;
    text-transform: uppercase;
}

.sm-wishes .sm-btn {
    margin-top: 53px;
}

.sm-contact {
    padding: 60px 0 100px;
}

.sm-contact__box {
    position: relative;
    text-align: center;
}

.sm-contact__box:after,
.sm-contact__box:before {
    content: '';
    display: block;
    position: absolute;
    z-index: 0;
    background-repeat: no-repeat;
    background-position: center;
}

.sm-contact__box:before {
    width: 826px;
    min-height: 300px;
    top: -30px;
    bottom: -100px;
    left: 46%;
    background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-contact/image-decor-1.webp);
    transform: translateX(-50%);
    background-size: 100% 100%;
}

.sm-contact__box:after {
    width: 173px;
    height: 176px;
    top: -60px;
    right: 210px;
    background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-contact/image-decor-2.webp);
    background-size: contain;
}

@media (max-width: 500px) {
    .sm-contact__box:before {
        background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-contact/image-decor-mobile.webp);
        width: 603px;
        height: 515px;
        top: -177px;
        left: 115px;
    }

    .sm-contact__box:after {
        display: none;
    }

    .sm-contact {
        padding: 60px 0;
    }
}

.sm-contact .sm-text,
.sm-contact .sm-title {
    position: relative;
    z-index: 1;
    color: #fcfcfc;
}

.sm-contact .sm-text {
    max-width: 375px;
    margin: 0 auto;
}

.sm-contact__info {
    font-family: var(--alt-font-family);
    font-weight: var(--text-font-weight);
    font-size: 36px;
    line-height: var(--text-line-height);
    text-align: center;
    margin-top: 100px;
    text-transform: uppercase;
}

.sm-contact .sm-btn {
    margin-top: 20px;
}

.sm-questionnaire {
    padding: 150px 0 100px;
}

@media (max-width: 500px) {
    .sm-questionnaire {
        padding: 77px 0;
    }

    .sm-contact__info {
        margin-top: 95px;
        font-size: 32px;
    }
}

.sm-questionnaire__date {
    font-family: var(--alt-font-family);
    font-weight: 500;
    font-size: 32px;
    line-height: 40px;
    text-align: center;
    margin-top: 10px;
    text-transform: uppercase;
}

.sm-questionnaire .sm-text {
    max-width: 430px;
    margin: 10px auto 0;
}

.sm-questionnaire__form {
    margin: 60px auto 0;
    max-width: 680px;
}

@media (max-width: 500px) {
    .sm-questionnaire__form {
        margin-top: 40px;
    }

    .sm-questionnaire__date {
        margin-top: 20px;
    }

    .sm-questionnaire:not(.sm-open) .sm-questionnaire__form {
        display: none;
    }

    .sm-questionnaire .sm-btn.sm-only-mobile {
        margin-top: 20px;
    }
}

.sm-form__block__title {
    font-family: var(--alt-font-family);
    font-weight: 400;
    font-size: 32px;
    line-height: var(--text-line-height);
}

.sm-form .sm-form__block__title:not(:first-child),
.sm-form__block:not(:first-child) {
    margin-top: 40px;
}

@media (max-width: 500px) {
    .sm-form__block__title {
        font-size: 16px;
    }

    .sm-form .sm-form__block__title:not(:first-child) {
        margin-top: 20px;
    }
}

input::-webkit-input-placeholder {
    all: unset;
    font-size: var(--placeholder-input-font-size);
    font-weight: var(--text-font-weight);
    line-height: var(--text-line-height);
    text-align: left;
    color: var(--placeholder-input-clr);
    cursor: pointer;
}

input::-moz-placeholder {
    all: unset;
    font-size: var(--placeholder-input-font-size);
    font-weight: var(--text-font-weight);
    line-height: var(--text-line-height);
    text-align: left;
    color: var(--placeholder-input-clr);
    cursor: pointer;
}

input::-ms-input-placeholder {
    all: unset;
    font-size: var(--placeholder-input-font-size);
    font-weight: var(--text-font-weight);
    line-height: var(--text-line-height);
    text-align: left;
    color: var(--placeholder-input-clr);
    cursor: pointer;
}

input:-ms-input-placeholder {
    all: unset;
    font-size: var(--placeholder-input-font-size);
    font-weight: var(--text-font-weight);
    line-height: var(--text-line-height);
    text-align: left;
    cursor: pointer;
    color: var(--placeholder-input-clr);
}

input::placeholder {
    all: unset;
    font-size: var(--placeholder-input-font-size);
    font-weight: var(--text-font-weight);
    line-height: var(--text-line-height);
    text-align: left;
    cursor: pointer;
    color: var(--placeholder-input-clr);
}

.sm-form__input {
    font-family: var(--text-font-family);
    border: 1px solid var(--text-clr-1);
    border-radius: 5px;
    background: 0 0;
    padding: 0 15px;
    width: 100%;
    height: 59px;
    margin-top: 10px;
    font-size: var(--placeholder-input-font-size);
    font-weight: var(--text-font-weight);
    line-height: var(--text-line-height);
    text-align: left;
    color: var(--text-clr-1);
}

@media (max-width: 500px) {
    .sm-form__input {
        height: 39px;
    }
}

.sm-form__item-radio {
    display: block;
}

.sm-form__item {
    margin-top: 10px;
}

.sm-form__block .sm-form_checkbox:not(:first-child),
.sm-form__item-radio:not(:first-child) {
    margin-top: 10px;
}

.sm-form__item-radio span {
    font-size: 16px;
    font-weight: 400;
    line-height: 19.5px;
}

.sm-form_checkbox_input {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    position: absolute;
}

.sm-form__block .sm-form_checkbox {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    margin-left: 30px;
    font-size: 24px;
    font-weight: 300;
    line-height: 29.26px;
    text-align: left;
    cursor: pointer;
}

.sm-form_checkbox_box {
    position: absolute;
    width: 20px;
    height: 20px;
    background-repeat: no-repeat;
    margin-left: -30px;
    border: 1px solid var(--text-clr-1);
    cursor: pointer;
    border-radius: 5px;
    overflow: hidden;
}

.sm-form_checkbox_input:checked + .sm-form_checkbox_box {
    background-color: var(--text-clr-1);
}

.sm-form__drinks-check {
    margin-top: 20px;
}

@media (max-width: 500px) {
    .sm-form__drinks-check {
        margin-top: 15px;
    }
}

.sm-questionnaire .sm-btn {
    margin-top: 40px;
    width: 100%;
}

@media (max-width: 500px) {
    .sm-form__block:not(:first-child) {
        margin-top: 20px;
    }

    .sm-form_checkbox_box {
        width: 16px;
        height: 16px;
        margin-left: -25px;
    }

    .sm-form__block .sm-form_checkbox {
        font-weight: 400;
        font-size: 16px;
        line-height: 19.5px;
        margin-top: 0 !important;
    }

    .sm-questionnaire .sm-btn {
        width: 205px;
    }
}

.sm-footer {
    padding: 60px 0 184px;
}

@media (max-width: 500px) {
    .sm-footer {
        padding: 35px 0 128px;
    }
}

.sm-footer .sm-title {
    font-family: var(--alt-font-family);
    font-weight: 500;
    font-size: 32px;
    line-height: var(--text-line-height);
    text-align: center;
    text-transform: uppercase;
}

@media (max-width: 500px) {
    .sm-footer .sm-title {
        margin: 0 auto;
        max-width: 261px;
    }
}

.sm-footer__content {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    gap: 58px;
    -ms-flex-pack: justify;
    justify-content: space-between;
    margin-top: 31px;
}

@media (max-width: 500px) {
    .sm-footer__content {
        margin-top: 70px;
        -ms-flex-direction: column;
        flex-direction: column;
        gap: 44px;
    }
}

.sm-footer__image {
    position: relative;
}

.sm-footer__image img {
    border-radius: 110px 0 0 0;
    width: 448px;
    height: 448px;
}

@media (max-width: 500px) {
    .sm-footer__image img {
        width: 100%;
        max-width: 325px;
        height: 325px;
        border-radius: 80px 0 0 0;
    }
}

.sm-footer__image:after,
.sm-footer__image:before {
    content: '';
    display: block;
    position: absolute;
    background-size: cover;
}

.sm-footer__image:before {
    z-index: 0;
    background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-footer/image-decor-1.webp);
    width: 871px;
    height: 662px;
    left: -210px;
    top: -90px;
}

@media (max-width: 500px) {
    .sm-footer__image:before {
        background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-footer/image-decor-mobile.webp);
        width: 102vw;
        height: 565px;
        left: -35px;
    }
}

.sm-footer__image:after {
    z-index: 2;
    background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-footer/image-decor-2.webp);
    width: 115px;
    height: 72px;
    right: -80px;
    bottom: 40px;
}

@media (max-width: 500px) {
    .sm-footer__image:after {
        right: 50%;
        bottom: -25px;
        transform: translateX(50%);
    }
}

.sm-footer__names {
    font-family: var(--title-font-family);
    font-weight: var(--title-font-weight);
    font-size: 100px;
    white-space: nowrap;
    line-height: 135%;
    z-index: 1;
}

@media (max-width: 500px) {
    .sm-footer__names {
        font-size: 60px;
        text-align: center;
    }
}

.sm-thanks {
    display: none;
}

.sm-thanks .sm-container,
.sm-thanks__content {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.sm-thanks .sm-container {
    -ms-flex-direction: column;
    flex-direction: column;
    height: 100%;
}

.sm-thanks__content {
    gap: 58px;
    position: relative;
}

@media (max-width: 500px) {
    .sm-thanks__content {
        -ms-flex-direction: column-reverse;
        flex-direction: column-reverse;
        gap: 160px;
    }
}

.sm-thanks__content:before {
    content: '';
    position: absolute;
    right: -10%;
    top: -20%;
    z-index: 0;
    display: block;
    width: 244px;
    height: 200px;
    background-image: url(/sitemaker/templates/template80/img/sections-decor/sm-main/text-decor.webp);
    background-repeat: no-repeat;
    background-size: cover;
}

@media (max-width: 500px) {
    .sm-thanks__content:before {
        top: 24%;
        right: -22%;
        width: 177px;
        height: 146px;
    }
}

.sm-thanks__title {
    font-family: var(--alt-font-family);
    font-weight: 500;
    font-size: 80px;
    line-height: var(--text-line-height);
    text-transform: uppercase;
}

@media (max-width: 500px) {
    .sm-thanks__title {
        font-size: 48px;
    }
}

.sm-mob-btn {
    display: none;
    width: 100%;
    height: 60px;
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: 99;
}

@media (max-width: 450px) {
    .sm-mob-btn {
        display: block;
    }
}

.sm-mob-btn .sm-btn {
    height: 100%;
    width: 100%;
    border-radius: 0;
}

.f-button.is-close-btn {
    --f-button-svg-stroke-width: 2;
    position: fixed;
    left: 8px;
    top: 10px;
    z-index: 1000;
    border-radius: 100px;
    background: rgba(0, 0, 0, 0.4);
    width: 34px;
    height: 34px;
}

.f-button.is-close-btn:hover {
    background: rgba(0, 0, 0, 0.6);
}

.f-button.is-close-btn svg {
    color: #fff;
}

.f-button {
    display: none;
}

[data-sm-text='DRESSCODE_COLORS'] > div {
    border: 1px solid var(--section-bg-clr-2);
    width: initial;
    height: initial;
    position: relative;
    border-radius: 50%;
    -ms-flex: 1 1 0px;
    flex: 1 1 0;
    aspect-ratio: 1/1;
    max-width: 100px;
}

[data-sm-text='DRESSCODE_COLORS'] > div > div {
    content: '';
    position: absolute;
    left: 50%;
    top: 50%;
    border: 0;
    transform: translate(-50%, -50%);
}

[data-sm-text='DRESSCODE_COLORS'] {
    display: -ms-flexbox;
    display: flex;
    gap: 10px;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
    overflow-x: auto;
    width: 100%;
}

@media (max-width: 500px) {
    [data-sm-text='DRESSCODE_COLORS'] {
        gap: 0;
        overflow-x: auto;
    }

    [data-sm-text='DRESSCODE_COLORS'] > div:not(:first-child) {
        margin-left: -40px;
    }

    [data-sm-text='DRESSCODE_COLORS'] > div {
        -ms-flex: 1 1 0px;
        flex: 1 1 0;
        max-width: 70px;
        width: initial;
        height: initial;
        aspect-ratio: 1/1;
    }
}
